org.appng.openapi.model

## Class Datasource

- java.lang.Object
- - org.appng.openapi.model.Datasource

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Datasource
      extends Object

  A datasource, represented by either a page (of elements) or a single element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_APP_N_G_VERSION`
    `static String` | `JSON_PROPERTY_APP_VERSION`
    `static String` | `JSON_PROPERTY_FIELDS`
    `static String` | `JSON_PROPERTY_FILTER_RESET_PATH`
    `static String` | `JSON_PROPERTY_FILTERS`
    `static String` | `JSON_PROPERTY_ID`
    `static String` | `JSON_PROPERTY_ITEM`
    `static String` | `JSON_PROPERTY_ITEMS`
    `static String` | `JSON_PROPERTY_LINKS`
    `static String` | `JSON_PROPERTY_MESSAGES`
    `static String` | `JSON_PROPERTY_PAGE`
    `static String` | `JSON_PROPERTY_PARAMETERS`
    `static String` | `JSON_PROPERTY_PERMISSIONS`
    `static String` | `JSON_PROPERTY_SELF`
    `static String` | `JSON_PROPERTY_TITLE`
    `static String` | `JSON_PROPERTY_USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Datasource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Datasource` | `addFieldsItem(Field fieldsItem)`
    `Datasource` | `addFiltersItem(Filter filtersItem)`
    `Datasource` | `addItemsItem(Item itemsItem)`
    `Datasource` | `addLinksItem(Link linksItem)`
    `Datasource` | `addMessagesItem(Message messagesItem)`
    `Datasource` | `addPermissionsItem(Permission permissionsItem)`
    `Datasource` | `appNGVersion(String appNGVersion)`
    `Datasource` | `appVersion(String appVersion)`
    `boolean` | `equals(Object o)`
    `Datasource` | `fields(List<Field> fields)`
    `Datasource` | `filterResetPath(String filterResetPath)`
    `Datasource` | `filters(List<Filter> filters)`
    `String` | `getAppNGVersion()` The version of appNG
    `String` | `getAppVersion()` The version of the application
    `List<Field>` | `getFields()` A list of fields.
    `String` | `getFilterResetPath()` the path to be called to reset the filter
    `List<Filter>` | `getFilters()` A list of filters.
    `String` | `getId()` The unique ID of the datasource.
    `Item` | `getItem()` Get item
    `List<Item>` | `getItems()` The items of this page.
    `List<Link>` | `getLinks()` A list of links.
    `List<Message>` | `getMessages()` A list of messages.
    `Page` | `getPage()` Get page
    `Map<String,String>` | `getParameters()` The parameters for the datasource.
    `List<Permission>` | `getPermissions()` The permissions for this datasource.
    `String` | `getSelf()` The URL of the datasource
    `String` | `getTitle()` The title of the datasource.
    `User` | `getUser()` Get user
    `int` | `hashCode()`
    `Datasource` | `id(String id)`
    `Datasource` | `item(Item item)`
    `Datasource` | `items(List<Item> items)`
    `Datasource` | `links(List<Link> links)`
    `Datasource` | `messages(List<Message> messages)`
    `Datasource` | `page(Page page)`
    `Datasource` | `parameters(Map<String,String> parameters)`
    `Datasource` | `permissions(List<Permission> permissions)`
    `Datasource` | `putParametersItem(String key, String parametersItem)`
    `Datasource` | `self(String self)`
    `void` | `setAppNGVersion(String appNGVersion)`
    `void` | `setAppVersion(String appVersion)`
    `void` | `setFields(List<Field> fields)`
    `void` | `setFilterResetPath(String filterResetPath)`
    `void` | `setFilters(List<Filter> filters)`
    `void` | `setId(String id)`
    `void` | `setItem(Item item)`
    `void` | `setItems(List<Item> items)`
    `void` | `setLinks(List<Link> links)`
    `void` | `setMessages(List<Message> messages)`
    `void` | `setPage(Page page)`
    `void` | `setParameters(Map<String,String> parameters)`
    `void` | `setPermissions(List<Permission> permissions)`
    `void` | `setSelf(String self)`
    `void` | `setTitle(String title)`
    `void` | `setUser(User user)`
    `Datasource` | `title(String title)`
    `String` | `toString()`
    `Datasource` | `user(User user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_SELF

          public static final String JSON_PROPERTY_SELF

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ID

          public static final String JSON_PROPERTY_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TITLE

          public static final String JSON_PROPERTY_TITLE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PARAMETERS

          public static final String JSON_PROPERTY_PARAMETERS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_USER

          public static final String JSON_PROPERTY_USER

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_LINKS

          public static final String JSON_PROPERTY_LINKS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_MESSAGES

          public static final String JSON_PROPERTY_MESSAGES

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_FIELDS

          public static final String JSON_PROPERTY_FIELDS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_FILTERS

          public static final String JSON_PROPERTY_FILTERS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_FILTER_RESET_PATH

          public static final String JSON_PROPERTY_FILTER_RESET_PATH

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PAGE

          public static final String JSON_PROPERTY_PAGE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ITEM

          public static final String JSON_PROPERTY_ITEM

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ITEMS

          public static final String JSON_PROPERTY_ITEMS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PERMISSIONS

          public static final String JSON_PROPERTY_PERMISSIONS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_APP_N_G_VERSION

          public static final String JSON_PROPERTY_APP_N_G_VERSION

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_APP_VERSION

          public static final String JSON_PROPERTY_APP_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Datasource

          public Datasource()

  - ### Method Detail

    - #### self

          public Datasource self(String self)

    - #### getSelf

          public String getSelf()

      The URL of the datasource
      Returns:
        self

    - #### setSelf

          public void setSelf(String self)

    - #### id

          public Datasource id(String id)

    - #### getId

          public String getId()

      The unique ID of the datasource.
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### title

          public Datasource title(String title)

    - #### getTitle

          @Nullable
          public String getTitle()

      The title of the datasource.
      Returns:
        title

    - #### setTitle

          public void setTitle(String title)

    - #### parameters

          public Datasource parameters(Map<String,String> parameters)

    - #### putParametersItem

          public Datasource putParametersItem(String key,
                                              String parametersItem)

    - #### getParameters

          @Nullable
          public Map<String,String> getParameters()

      The parameters for the datasource.
      Returns:
        parameters

    - #### setParameters

          public void setParameters(Map<String,String> parameters)

    - #### user

          public Datasource user(User user)

    - #### getUser

          @Nullable
          public User getUser()

      Get user
      Returns:
        user

    - #### setUser

          public void setUser(User user)

    - #### links

          public Datasource links(List<Link> links)

    - #### addLinksItem

          public Datasource addLinksItem(Link linksItem)

    - #### getLinks

          @Nullable
          public List<Link> getLinks()

      A list of links.
      Returns:
        links

    - #### setLinks

          public void setLinks(List<Link> links)

    - #### messages

          public Datasource messages(List<Message> messages)

    - #### addMessagesItem

          public Datasource addMessagesItem(Message messagesItem)

    - #### getMessages

          @Nullable
          public List<Message> getMessages()

      A list of messages.
      Returns:
        messages

    - #### setMessages

          public void setMessages(List<Message> messages)

    - #### fields

          public Datasource fields(List<Field> fields)

    - #### addFieldsItem

          public Datasource addFieldsItem(Field fieldsItem)

    - #### getFields

          @Nullable
          public List<Field> getFields()

      A list of fields.
      Returns:
        fields

    - #### setFields

          public void setFields(List<Field> fields)

    - #### filters

          public Datasource filters(List<Filter> filters)

    - #### addFiltersItem

          public Datasource addFiltersItem(Filter filtersItem)

    - #### getFilters

          @Nullable
          public List<Filter> getFilters()

      A list of filters.
      Returns:
        filters

    - #### setFilters

          public void setFilters(List<Filter> filters)

    - #### filterResetPath

          public Datasource filterResetPath(String filterResetPath)

    - #### getFilterResetPath

          @Nullable
          public String getFilterResetPath()

      the path to be called to reset the filter
      Returns:
        filterResetPath

    - #### setFilterResetPath

          public void setFilterResetPath(String filterResetPath)

    - #### page

          public Datasource page(Page page)

    - #### getPage

          @Nullable
          public Page getPage()

      Get page
      Returns:
        page

    - #### setPage

          public void setPage(Page page)

    - #### item

          public Datasource item(Item item)

    - #### getItem

          @Nullable
          public Item getItem()

      Get item
      Returns:
        item

    - #### setItem

          public void setItem(Item item)

    - #### items

          public Datasource items(List<Item> items)

    - #### addItemsItem

          public Datasource addItemsItem(Item itemsItem)

    - #### getItems

          @Nullable
          public List<Item> getItems()

      The items of this page.
      Returns:
        items

    - #### setItems

          public void setItems(List<Item> items)

    - #### permissions

          public Datasource permissions(List<Permission> permissions)

    - #### addPermissionsItem

          public Datasource addPermissionsItem(Permission permissionsItem)

    - #### getPermissions

          @Nullable
          public List<Permission> getPermissions()

      The permissions for this datasource.
      Returns:
        permissions

    - #### setPermissions

          public void setPermissions(List<Permission> permissions)

    - #### appNGVersion

          public Datasource appNGVersion(String appNGVersion)

    - #### getAppNGVersion

          @Nullable
          public String getAppNGVersion()

      The version of appNG
      Returns:
        appNGVersion

    - #### setAppNGVersion

          public void setAppNGVersion(String appNGVersion)

    - #### appVersion

          public Datasource appVersion(String appVersion)

    - #### getAppVersion

          @Nullable
          public String getAppVersion()

      The version of the application
      Returns:
        appVersion

    - #### setAppVersion

          public void setAppVersion(String appVersion)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.